/*
 * Copyright 2007 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.mycompany.hr.service;

import java.util.Date;
import java.util.logging.Logger;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.beans.factory.BeanFactory;

/**
 * Simple stub implementation of {@link HumanResourceService}, which does nothing but logging.
 *
 * @author Arjen Poutsma
 */
public class StubHumanResourceService implements HumanResourceService {

    private static final Log logger = LogFactory.getLog(StubHumanResourceService.class);

	ApplicationContext context = new ClassPathXmlApplicationContext("classpath:applicationContext.xml");

    public void bookHoliday(Date startDate, Date endDate, String name) {

		// An ApplicationContext is just a BeanFactory
		BeanFactory factory = context;

		ActionDAOImpl actionDAOImpl = (ActionDAOImpl)factory.getBean("actionDAOImpl");

        actionDAOImpl.doSomething();

        logger.info("Booking my next holiday for [" + startDate + "-" + endDate + "] name [" + name + "] ");
    }
}
